#include "DHT.h"
#include <LiquidCrystal.h>
#define DHTPIN 8   
#define DHTTYPE DHT11 
DHT dht(DHTPIN, DHTTYPE);
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);

void setup() {
Serial.begin(9600);
lcd.begin(16, 2);
dht.begin();
}

void loop() {
double h = dht.readHumidity();
double t = dht.readTemperature();
double temper = analogRead(A0);
double m = ((1023.00-temper)/1023.00)*100.00;

if (isnan(t) || isnan(h)) {
  Serial.println("Failed to read from DHT");
  }
else {
  if (temper>700){
  lcd.noDisplay();
  delay(500);
  lcd.display();
  //delay(500);
  lcd.setCursor(0,0);
  lcd.print("Soil = DRY");
  lcd.setCursor(0,1);
  lcd.print("Need Water Now");
  
  } else if (temper>350){
  lcd.setCursor(0,0);
  lcd.print("Temp = ");
  lcd.print(t);
  lcd.print(" *C");
  lcd.setCursor(0,1);
  lcd.print("Soil = MOIST");
  delay(500);
  } else {
  lcd.setCursor(0,0);
  lcd.print("Temp = ");
  lcd.print(t);
  lcd.print(" *C");
  lcd.setCursor(0,1);
  lcd.print("Soil = SOAKED");
  delay(500);
  }
  
   
  Serial.print(m);
  Serial.print(",");
  Serial.print(t);
  Serial.print(",");
  Serial.print(h);
  Serial.print(",");
  Serial.flush();
 
  delay(500);
  
 }
}
